## ros-melodic-static-transform-mux 1.1.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10.2)
project(static_transform_mux)

find_package(catkin REQUIRED)

catkin_package(
  CATKIN_DEPENDS rospy tf2_msgs
)

install(PROGRAMS
  nodes/static_transform_mux
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

## ros-melodic-static-transform-mux 1.1.0

=== debian/changelog ===
ros-melodic-static-transform-mux (1.1.0-0stretch) stretch; urgency=high

  * Changed the cache key to allow restructuring the TF tree.
  * Contributors: Martin Pecka

 -- Martin Pecka <peckama2@fel.cvut.cz>  Mon, 04 Mar 2019 23:00:00 -0000

ros-melodic-static-transform-mux (1.0.1-0stretch) stretch; urgency=high

  * Fixed initialization order so that the subscriber is the last and does not trigger the callback before constructor finishes.
  * Removed dependency on tf package.
  * Create LICENSE.txt
  * Contributors: Martin Pecka

 -- Martin Pecka <peckama2@fel.cvut.cz>  Wed, 05 Sep 2018 22:00:00 -0000

ros-melodic-static-transform-mux (1.0.0-0stretch) stretch; urgency=high

  * Initial commit.
  * Contributors: Martin Pecka

 -- Martin Pecka <peckama2@fel.cvut.cz>  Wed, 29 Aug 2018 22:00:00 -0000

=== debian/control ===
Source: ros-melodic-static-transform-mux
Section: misc
Priority: extra
Maintainer: Martin Pecka <peckama2@fel.cvut.cz>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin
Homepage: 
Standards-Version: 3.9.2

Package: ros-melodic-static-transform-mux
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-rospy, ros-melodic-tf2-msgs
Description: A helper node that makes sure everybody knows about all static transforms, even if they are published by multiple publishers.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-static-transform-mux//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install

## ros-melodic-static-transform-mux 1.1.1

=== debian/changelog ===
ros-melodic-static-transform-mux (1.1.1-1bionic) bionic; urgency=high

  * Noetic compatibility.
  * Added possibility to publish to a different topic.
  * Contributors: Martin Pecka

 -- Martin Pecka <peckama2@fel.cvut.cz>  Fri, 12 May 2023 22:00:00 -0000

ros-melodic-static-transform-mux (1.1.0-1bionic) bionic; urgency=high

  * Changed the cache key to allow restructuring the TF tree.
  * Contributors: Martin Pecka

 -- Martin Pecka <peckama2@fel.cvut.cz>  Mon, 04 Mar 2019 23:00:00 -0000

ros-melodic-static-transform-mux (1.0.1-1bionic) bionic; urgency=high

  * Fixed initialization order so that the subscriber is the last and does not trigger the callback before constructor finishes.
  * Removed dependency on tf package.
  * Create LICENSE.txt
  * Contributors: Martin Pecka

 -- Martin Pecka <peckama2@fel.cvut.cz>  Wed, 05 Sep 2018 22:00:00 -0000

ros-melodic-static-transform-mux (1.0.0-1bionic) bionic; urgency=high

  * Initial commit.
  * Contributors: Martin Pecka

 -- Martin Pecka <peckama2@fel.cvut.cz>  Wed, 29 Aug 2018 22:00:00 -0000

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: ros-melodic-static-transform-mux
 Section: misc
-Priority: extra
+Priority: optional
 Maintainer: Martin Pecka <peckama2@fel.cvut.cz>
 Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin
-Homepage: 
+Homepage: http://www.ros.org/wiki/static_transform_mux
 Standards-Version: 3.9.2
 
 Package: ros-melodic-static-transform-mux

=== debian/rules ===
--- 
+++ 
@@ -17,9 +17,14 @@
 # Explicitly enable -DNDEBUG, see:
 # 	https://github.com/ros-infrastructure/bloom/issues/327
 export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
+ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
+	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
+endif
+
+DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 
 %:
-	dh $@ -v --buildsystem=cmake
+	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)
 
 override_dh_auto_configure:
 	# In case we're installing to a non-standard location, look for a setup.sh
@@ -29,7 +34,8 @@
 	dh_auto_configure -- \
 		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
 		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
-		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"
+		-DCMAKE_PREFIX_PATH="/opt/ros/melodic" \
+		$(BUILD_TESTING_ARG)
 
 override_dh_auto_build:
 	# In case we're installing to a non-standard location, look for a setup.sh
